Download it now!
Bug 95555 - FILEOPEN RTF Frames overlap in document created by Oracle Reports
Summary: FILEOPEN RTF Frames overlap in document created by Oracle Reports
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:rtf
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2015-11-03 22:37 UTC by Dženan Zukić
Modified: 2019-06-06 02:53 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
RTF file of a bank statement (personal information removed) (20.45 KB, application/msword)
2015-11-03 22:37 UTC, Dženan Zukić
Details
A correct rendering of the file (105.56 KB, application/pdf)
2015-11-03 22:37 UTC, Dženan Zukić
Details
An incorrect rendering of the file by LibreOffice (27.38 KB, application/pdf)
2015-11-03 22:38 UTC, Dženan Zukić
Details
An incorrect rendering with 5.3.0 x64 Win7. (63.21 KB, image/png)
2017-03-06 15:58 UTC, Dženan Zukić
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dženan Zukić 2015-11-03 22:37:08 UTC
Created attachment 120244 [details]
RTF file of a bank statement (personal information removed)

The attached file is not displayed correctly.

Exports to PDF by MSWord and LibreOffice are attached too. This file used to crash LibreOffice 5.0.x: https://bugs.documentfoundation.org/show_bug.cgi?id=94835
Comment 1 Dženan Zukić 2015-11-03 22:37:43 UTC
Created attachment 120245 [details]
A correct rendering of the file
Comment 2 Dženan Zukić 2015-11-03 22:38:02 UTC
Created attachment 120246 [details]
An incorrect rendering of the file by LibreOffice
Comment 3 Timur 2015-11-04 14:49:18 UTC
Incorrect rendering of the file by LibreOffice is obvious, but please report each issue separately (image, frame, font..), after a search for already reported bugs.
Or just narrow down this bug to something specific. Only then it can be confirmed.
Comment 5 Buovjaga 2015-11-12 10:24:12 UTC
I also noticed the big frame going over the small address frames. Shall we keep this report alive for that problem?
Comment 6 Dženan Zukić 2015-11-12 12:39:29 UTC
If you think it has a chance of being addressed, sure!
Comment 7 Buovjaga 2015-11-12 12:56:35 UTC
Alrighty, adjusted summary.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: b216cc1b8096eb60c27f67e8c27b7cd756c75e38
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-12_00:06:20
Locale: fi-FI (fi_FI)
Comment 8 QA Administrators 2017-03-06 15:24:29 UTC Comment hidden (obsolete)
Comment 9 Dženan Zukić 2017-03-06 15:57:09 UTC Comment hidden (obsolete)
Comment 10 Dženan Zukić 2017-03-06 15:58:55 UTC
Created attachment 131680 [details]
An incorrect rendering with 5.3.0 x64 Win7.
Comment 11 vihsa 2017-06-01 13:09:00 UTC
reproducible
Version: 5.5.0.0.alpha0+
Build ID: ec79f3453471ee9b6ae32e71ff16ea99d9b7751c
TinderBox: Android-ARM@24-Bytemark-Hosting, Branch: master, Time: 2017-05-28 22:44:13
Comment 12 QA Administrators 2018-06-02 03:09:28 UTC Comment hidden (obsolete)
Comment 13 Timur 2018-06-05 08:32:47 UTC
repro 6.2+
Comment 14 QA Administrators 2019-06-06 02:53:32 UTC
Dear Dženan Zukić,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug